#ifndef CELSCENE_H_INCLUDED
#define CELSCENE_H_INCLUDED

#include <math.h>
#include "Texture.h"
#include "Vector3d.h"
#include "Scene.h"

class CelScene : public Scene
{
    public:
        CelScene(SDL_Surface *sdlsurf);
        ~CelScene();

        void render();
        void init();

    private:
        bool outlineSmooth;
        float outlineColor[3];
        float outlineWidth;
        Vector3d lightAngle;
        float shaderData[32][3]; // Storate For The 96 Shader Values 
        GLuint shaderTexture[1]; // Storage For One Texture

        Texture* ting;
};

#endif
