#ifndef MUSIC_H_INCLUDED
#define MUSIC_H_INCLUDED

#include <SDL/SDL.h>
#include <SDL/SDL_mixer.h>

class Music
{
    public:
        Music();
        ~Music();

        void loadMusic(const char* filename);
        void fadeIn(int milliSeconds);
        void fadeOut(int milliSeconds);

        bool error;

    private:
        Mix_Music *music;
        int volume;
};

#endif
